CREATE TABLE cn_rate_dim_tiers_all (
    RATE_DIM_TIER_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RATE_DIMENSION_ID        NUMBER(18, 0)    NOT NULL,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    TIER_SEQUENCE            NUMBER(9, 0)     NOT NULL,
    DIM_UNIT_CODE            VARCHAR2(120),
    MINIMUM_AMOUNT           NUMBER       ,
    MAXIMUM_AMOUNT           NUMBER       ,
    STRING_VALUE             VARCHAR2(120),
    MIN_EXP_ID               NUMBER(18, 0),
    MAX_EXP_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    RATE_DIM_TIER_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RATE_DIMENSION_ID        NUMBER(18, 0)    NOT NULL,
    ORG_ID                   NUMBER(18, 0)    NOT NULL,
    TIER_SEQUENCE            NUMBER(9, 0)     NOT NULL,
    DIM_UNIT_CODE            VARCHAR2(120),
    MINIMUM_AMOUNT           NUMBER       ,
    MAXIMUM_AMOUNT           NUMBER       ,
    STRING_VALUE             VARCHAR2(120),
    MIN_EXP_ID               NUMBER(18, 0),
    MAX_EXP_ID               NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_cn_rate_dim_tiers_all PRIMARY KEY (RATE_DIM_TIER_ID, RATE_DIM_TIER_ID)
);
